Isuzu Engine Manufacturing Co.,(Thailand) Ltd. - Parent project #933
[PJ210002] Pokayoke filler gauge adjust valve CV Picking system

11 Apr 2025 13:23 - Karnthida Wannasiwaporn

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Karnthida Wannasiwaporn Spent time: 0.00 hour
Description

History

#1 - 11 Apr 2025 13:27 - Karnthida Wannasiwaporn

- Status changed from In Progress to New

#2 - 05 Nov 2025 10:59 - Siriwilai Chaiwattanaphon
- Status changed from New to Closed

- Start date deleted (11 Apr 2025)

20 Dec 2025
